---
title: Delete
url: https://docs.vultr.com/products/storage/object-storage/management/delete-object-storage
description: Learn how to permanently delete your Vultr Object Storage subscription when its no longer needed.
publish_date: 2024-11-27T19:49:59.980231Z
last_updated: 2026-05-27T20:13:27.742415Z
---

# How to Delete Vultr Object Storage Subscription

Deleting Vultr Object Storage subscription removes the S3-compatible store from your account and stops further charges. You should only delete the subscription after backing up any important business assets to a different storage. The process is irreversible, and you can't undo it, so you should take great care.

Follow this guide to delete Vultr Object Storage subscription using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and select **Cloud Storage**.
    1. Click **Object Storage**. 
    1. Then, select the target Vultr Object Storage subscription and click the delete icon.

=== "Vultr API"

    1. Send a `GET` request to [**List Object Storages** endpoint](https://www.vultr.com/api/#tag/s3/operation/list-object-storages) and note the Vultr Object Storage subscription ID.

        ```console
        $ curl "https://api.vultr.com/v2/object-storage" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json"
        ```

    1. Send a `DELETE` request to the [**Delete Object Storage** endpoint](https://www.vultr.com/api/#tag/s3/operation/delete-object-storage) and specify a Vultr Object Storage subscription ID.

        ```console
        $ curl "https://api.vultr.com/v2/object-storage/object_storage_id" \
            -X DELETE \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

        Visit the [**Delete Object Storage** endpoint](https://www.vultr.com/api/#tag/s3/operation/delete-object-storage) to view additional attributes to add to your request.

=== "Vultr CLI"

    1. List all Vultr Object Storage subscriptions and note the ID. For instance, `6856bb78-e67b-416c-8fc1-2473c66fa016`.

        ```console
        $ vultr-cli object-storage list
        ```

    1. Delete a Vultr Object Storage subscription by specifying the ID.

        ```console
        $ vultr-cli object-storage delete object_storage_id
        ```
    
        Run `vultr-cli object-storage delete --help` to view all options.

=== "Terraform"

    1. Open your Terraform configuration where the Object Storage subscription is defined.

    1. Remove the `vultr_object_storage` resource block, or destroy it by target.

        ```terraform
        resource "vultr_object_storage" "object_storage" {
            # ...existing fields (cluster_id, tier_id, label)
        }

        # To delete, either remove this block from configuration
        # or run: terraform destroy -target vultr_object_storage.object_storage
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 0 changed, 1 destroyed.
        ```
